import React, { useContext,useState, useEffect } from "react";
import usersService from "../services/UsersService";
import MyReviewDueJobs from "../components/MyActiveJobs/MyReviewDueJobs";
import { useSelector } from "react-redux";

export default function MyReviewDueJobsPage() {
    let {commonHeadBanner} = useSelector(state => state.commonHeadBanner)
    const [MyJobList, setMyJobList] = useState([]);
    const api = new usersService();
    const getMyJobList = async () => {
        try {
            const res = await api.getMyReviewDueJobList();
            setMyJobList(res.data);
        } catch (error) {
            console.log("Error getting mode");
        }
    };
    useEffect(() => {
        getMyJobList();
    }, []);

    // debugger;
    return (
        <>
            <MyReviewDueJobs
                MyJobList={MyJobList}
                commonHeadData={commonHeadBanner.result_list}
            />
        </>
    );
}
